package com.ejie.y42b;

import java.io.Serializable;

/**
 * 
 *  
 *
 */
public class UserPreferences implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -8335685650761151070L;
	private String userId = "";
	private String userNombreCompleto = "";
	private String nodeActive = "";
	private boolean mostrarEntidadesNoActivas = false;
	/**
	 * @return the userId
	 */
	public String getUserId() {
	    return this.userId;
	}
	/**
	 * @param userId the userId to set
	 */
	public void setUserId(String userId) {
	    this.userId = userId;
	}
	/**
	 * @return the userNombreCompleto
	 */
	public String getUserNombreCompleto() {
	    return this.userNombreCompleto;
	}
	/**
	 * @param userNombreCompleto the userNombreCompleto to set
	 */
	public void setUserNombreCompleto(String userNombreCompleto) {
	    this.userNombreCompleto = userNombreCompleto;
	}
	/**
	 * @return the nodeActive
	 */
	public String getNodeActive() {
	    return this.nodeActive;
	}
	/**
	 * @param nodeActive the nodeActive to set
	 */
	public void setNodeActive(String nodeActive) {
	    this.nodeActive = nodeActive;
	}
	/**
	 * @return the mostrarEntidadesNoActivas
	 */
	public boolean isMostrarEntidadesNoActivas() {
	    return this.mostrarEntidadesNoActivas;
	}
	/**
	 * @param mostrarEntidadesNoActivas the mostrarEntidadesNoActivas to set
	 */
	public void setMostrarEntidadesNoActivas(boolean mostrarEntidadesNoActivas) {
	    this.mostrarEntidadesNoActivas = mostrarEntidadesNoActivas;
	}

	
}
